%define lib_major 3 
%define lib_name %mklibname log4cpp %{lib_major}

Name:		log4cpp
Version:	0.3.4b
Release:	%mkrel 4

Summary:	Log for C++
License:	LGPL
Group:		System/Libraries
Url:		http://log4cpp.sourceforge.net/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		log4cpp-0.3.4b-fix-underquoted-calls.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	autoconf2.5 doxygen

%description
Log for C++ is a library of classes for flexible logging to files, syslog,
and other destinations. It is modeled after the Log for Java library and
stays as close to its API as is reasonable.

%package -n	%{lib_name}
Summary:	Log for C++ library
Group:		System/Libraries

%description -n	%{lib_name}
Log for C++ is a library of classes for flexible logging to files, syslog,
and other destinations. It is modeled after the Log for Java library and
stays as close to its API as is reasonable.
This package contains the library needed to run programs using log4cpp.

%package -n	%{lib_name}-devel
Summary:	Development tools for Log for C++
Group:		Development/C++
Requires:	%{lib_name} = %{version}
Provides:	liblog4cpp-devel  = %{version}

%description -n	%{lib_name}-devel
The %{lib_name}-devel package contains the static libraries and header files
needed for development with %lib_name.

%package	doc
Summary:	HTML formatted API documention for Log for C++
Group:		Development/C++

%description	doc
The %{name}-doc package contains HTML formatted API documention generated
by the popular doxygen documentation generation tool.

%prep
%setup -q
%patch0 -p1 -b .underquoted

%build
%configure2_5x --enable-doxygen 
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
mkdir -p $RPM_BUILD_ROOT/%_prefix/share/doc/
mv $RPM_BUILD_ROOT/%_prefix/doc/* $RPM_BUILD_ROOT/%_prefix/share/doc/

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(-,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*
%doc AUTHORS COPYING INSTALL NEWS README THANKS ChangeLog

%files -n %{lib_name}-devel
%defattr(-,root,root,755)
%{_datadir}/aclocal/log4cpp.m4
%{_includedir}/*
%{_mandir}/*/*
%attr(755,root,root) %{_bindir}/log4cpp-config
%attr(755,root,root) %{_libdir}/lib*.so
%attr(644,root,root) %{_libdir}/*.*a

%files doc
%defattr(-,root,root,755)
%doc %{_docdir}/*


%changelog
* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 0.3.4b-4mdv2008.1
+ Revision: 140932
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun May 27 2007 Pascal Terjan <pterjan@mandriva.org> 0.3.4b-4mdv2008.0
+ Revision: 31645
- rebuild
- Import log4cpp



* Tue Jan 31 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.3.4b-3mdk
- fix underquoted calls (P1)
- %%mkrel
- move %%configure to %%build
- don't wipe out buildroot in %%prep
- cosmetics

* Fri Jun 04 2004 Pascal Terjan <pterjan@mandrake.org> 0.3.4b-2mdk
- Rebuild

* Sun Oct 19 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.3.4b-1mdk
- Mandrake adaptations
